> For the complete documentation index, see [llms.txt](https://docs.compliance.phalcon.blocksec.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/address-screening/batch-screen-addresses.md).

# 批量筛查地址

地址的批量筛查作为异步任务执行。系统将为每个地址生成唯一的 Task ID，用户可以通过任务 API 检索详细结果。

## 筛查多个地址

> 提交批量地址筛查任务并返回任务 ID。

```json
{"openapi":"3.0.0","info":{"title":"Compliance API","version":"2.0.0"},"tags":[{"name":"地址筛查","description":"地址筛查与查询 API。"}],"servers":[{"url":"https://api.blocksec.com/phalcon/compliance/v2","description":"生产环境服务器"}],"security":[{"API-Key":[]}],"components":{"securitySchemes":{"API-Key":{"type":"apiKey","in":"header","name":"API-Key"}},"schemas":{"AddressesScreen":{"type":"object","required":["addresses"],"properties":{"addresses":{"type":"array","description":"待筛查地址列表。每次请求可传 1 到 100 个地址。","minItems":1,"maxItems":100,"items":{"$ref":"#/components/schemas/AddressScreen"}}}},"AddressScreen":{"type":"object","required":["address","chainId"],"properties":{"address":{"type":"string","description":"待筛查地址。"},"chainId":{"type":"integer","description":"链 ID。关于所有支持的链及对应 chain ID，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/supported-chains)。"},"includeDetails":{"type":"boolean","description":"已废弃。是否在每条告警中包含旧版 riskDetail 字段。默认为 false。当前仍可使用，预计于 2026-08-31 正式下线。","deprecated":true}}},"ErrorCodeMsg":{"properties":{"code":{"type":"integer"},"msg":{"type":"string"}}},"AddressScreenTasksResult":{"type":"object","properties":{"taskIds":{"type":"array","description":"任务 ID 列表。","items":{"type":"string","description":"任务唯一标识。"}}}}}},"paths":{"/addresses/screen":{"post":{"tags":["地址筛查"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddressesScreen"}}}},"responses":{"200":{"description":"成功响应","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/code","description":"该请求的状态码。关于所有可能出现的 code 和 message，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages)。"},"msg":{"$ref":"#/components/schemas/ErrorCodeMsg/properties/msg","description":"该请求的 message。关于所有可能出现的 code 和 message，请查看：[https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages](https://docs.compliance.phalcon.blocksec.com/zh/api-documentation/introduction/error-messages)。"},"data":{"$ref":"#/components/schemas/AddressScreenTasksResult"}}}}}}},"description":"提交批量地址筛查任务并返回任务 ID。","summary":"筛查多个地址"}}}}
```
